<?php
/*
	Stempora Web Framework
	Copyright (c) 2002-2014 Stempora. 
	All rights reserved.
		web:  www.stempora.com
		mail: support@stempora.com		
*/

// dependencies

/**
* description
*
* @library	
* @author	
* @since	
*/
class CPHPInfo extends CPlugin{
	
	var $tplvars; 

	function CPHPInfo() {
		//$this->CPlugin($db, $tables , $templates);		
	}

	function DoEvents(){
		global $base, $_CONF, $_TSM , $_VARS , $_USER , $_BASE , $_SESS;

		if ($_GET["mod"] == "phpinfo") {

			$sub = $_GET["sub"];
			$action = $_GET["action"];

			switch ($sub) {

				case "info":
					phpinfo();
					die();
				break;
					
				default:
					$_TSM["PUB:MODULE_NAME"] = "PHP Information";

					$tpl = new CTemplateDynamic($this->tpl_path . "main.htm");
					return $tpl->blockReplace("Main");
				break;
			}			
		}

		parent::DoEvents();

	}	
}

?>